Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.addon.conversion.HTML2PDFSettingData Class Reference

Inherits SystemIDisposable.

## Public Types
enum | HTML2PDFEncodingFormat { HTML2PDFEncodingFormat.e_EncodingFormatDefault = 0, HTML2PDFEncodingFormat.e_EncodingFormatASCII = 1, HTML2PDFEncodingFormat.e_EncodingFormatLatin2 = 2, HTML2PDFEncodingFormat.e_EncodingFormatLatin3 = 3, HTML2PDFEncodingFormat.e_EncodingFormatLatin4 = 4, HTML2PDFEncodingFormat.e_EncodingFormatLatin5 = 5, HTML2PDFEncodingFormat.e_EncodingFormatLatin6 = 6, HTML2PDFEncodingFormat.e_EncodingFormatISO_8859_5 = 7, HTML2PDFEncodingFormat.e_EncodingFormatArabic = 8, HTML2PDFEncodingFormat.e_EncodingFormatGreek = 9, HTML2PDFEncodingFormat.e_EncodingFormatHebrew = 10, HTML2PDFEncodingFormat.e_EncodingFormatEUC_JP = 11, HTML2PDFEncodingFormat.e_EncodingFormatSJS = 12, HTML2PDFEncodingFormat.e_EncodingFormatJIS = 13, HTML2PDFEncodingFormat.e_EncodingFormatBIG5 = 14, HTML2PDFEncodingFormat.e_EncodingFormatGB = 15, HTML2PDFEncodingFormat.e_EncodingFormatEUC_CN = 16, HTML2PDFEncodingFormat.e_EncodingFormatKSC = 17, HTML2PDFEncodingFormat.e_EncodingFormatUnicode = 18, HTML2PDFEncodingFormat.e_EncodingFormatEUC = 19, HTML2PDFEncodingFormat.e_EncodingFormatCNS = 20, HTML2PDFEncodingFormat.e_EncodingFormatBIG5_CP950 = 21, HTML2PDFEncodingFormat.e_EncodingFormatASCII_7_bit = 22, HTML2PDFEncodingFormat.e_EncodingFormatKOI8R = 23, HTML2PDFEncodingFormat.e_EncodingFormatCP852 = 24, HTML2PDFEncodingFormat.e_EncodingFormatCP866 = 25, HTML2PDFEncodingFormat.e_EncodingFormatCP874 = 26, HTML2PDFEncodingFormat.e_EncodingFormatCP932 = 27, HTML2PDFEncodingFormat.e_EncodingFormatCP1250 = 28, HTML2PDFEncodingFormat.e_EncodingFormatCP1251 = 29, HTML2PDFEncodingFormat.e_EncodingFormatCP1252 = 30, HTML2PDFEncodingFormat.e_EncodingFormatCP1253 = 31, HTML2PDFEncodingFormat.e_EncodingFormatCP1254 = 32, HTML2PDFEncodingFormat.e_EncodingFormatCP1255 = 33, HTML2PDFEncodingFormat.e_EncodingFormatCP1256 = 34, HTML2PDFEncodingFormat.e_EncodingFormatCP1257 = 35, HTML2PDFEncodingFormat.e_EncodingFormatKOI8U = 36, HTML2PDFEncodingFormat.e_EncodingFormatISO_8859_15 = 37, HTML2PDFEncodingFormat.e_EncodingFormatISO_8859_11 = 38, HTML2PDFEncodingFormat.e_EncodingFormatISO_8859_8_I = 39, HTML2PDFEncodingFormat.e_EncodingFormatVISUAL = 40, HTML2PDFEncodingFormat.e_EncodingFormatCSN_369103 = 41, HTML2PDFEncodingFormat.e_EncodingFormatISO_8859_13 = 42, HTML2PDFEncodingFormat.e_EncodingFormatISO_2022_KR = 43, HTML2PDFEncodingFormat.e_EncodingFormatGBK = 44, HTML2PDFEncodingFormat.e_EncodingFormatGB18030 = 45, HTML2PDFEncodingFormat.e_EncodingFormatBIG5_HKSCS = 46, HTML2PDFEncodingFormat.e_EncodingFormatISO_2022_CN = 47, HTML2PDFEncodingFormat.e_EncodingFormatTSCII = 48, HTML2PDFEncodingFormat.e_EncodingFormatTAM = 49, HTML2PDFEncodingFormat.e_EncodingFormatTAB = 50, HTML2PDFEncodingFormat.e_EncodingFormatJAGRAN = 51, HTML2PDFEncodingFormat.e_EncodingFormatMACINTOSH = 52, HTML2PDFEncodingFormat.e_EncodingFormatUTF7 = 53, HTML2PDFEncodingFormat.e_EncodingFormatBHASKAR = 54, HTML2PDFEncodingFormat.e_EncodingFormatHTCHANAKYA = 55, HTML2PDFEncodingFormat.e_EncodingFormatUTF_16BE = 56, HTML2PDFEncodingFormat.e_EncodingFormatUTF_16LE = 57, HTML2PDFEncodingFormat.e_EncodingFormatUTF_32BE = 58, HTML2PDFEncodingFormat.e_EncodingFormatUTF_32LE = 59, HTML2PDFEncodingFormat.e_EncodingFormatX_BINARYENC = 60, HTML2PDFEncodingFormat.e_EncodingFormatHZ_GB_2312 = 61, HTML2PDFEncodingFormat.e_EncodingFormatX_UTF8UTF8 = 62, HTML2PDFEncodingFormat.e_EncodingFormatX_TAM_ELANGO = 63, HTML2PDFEncodingFormat.e_EncodingFormatX_TAM_LTTMBARANI = 64, HTML2PDFEncodingFormat.e_EncodingFormatX_TAM_SHREE = 65, HTML2PDFEncodingFormat.e_EncodingFormatX_TAM_TBOOMIS = 66, HTML2PDFEncodingFormat.e_EncodingFormatX_TAM_TMNEWS = 67, HTML2PDFEncodingFormat.e_EncodingFormatX_TAM_WEBTAMIL = 68, HTML2PDFEncodingFormat.e_EncodingFormatX_KDDI_Shift_JIS = 69, HTML2PDFEncodingFormat.e_EncodingFormatX_DoCoMo_Shift_JIS = 70, HTML2PDFEncodingFormat.e_EncodingFormatX_SoftBank_Shift_JIS = 71, HTML2PDFEncodingFormat.e_EncodingFormatX_KDDI_ISO_2022_JP = 72, HTML2PDFEncodingFormat.e_EncodingFormatX_SoftBank_ISO_2022_JP = 73 }
| Enumeration for encoding format used for converting HTML to PDF. More...
enum | HTML2PDFMediaStyle { HTML2PDFMediaStyle.e_MediaStyleScreen = 0, HTML2PDFMediaStyle.e_MediaStylePrint = 1 }
| Enumeration for media style used for converting HTML to PDF. More...
enum | HTML2PDFPageMode { HTML2PDFPageMode.e_PageModeSinglePage = 0, HTML2PDFPageMode.e_PageModeMultiplePage = 1 }
| Enumeration for page mode used for converting HTML to PDF. More...
enum | HTML2PDFScalingMode { HTML2PDFScalingMode.e_ScalingModeNone = 0, HTML2PDFScalingMode.e_ScalingModeScale = 1, HTML2PDFScalingMode.e_ScalingModeEnlarge = 2 }
| Enumeration for scaling mode used for converting HTML to PDF. More...

## Public Member Functions
| HTML2PDFSettingData ()
| Constructor.
| HTML2PDFSettingData (float page_width, float page_height, bool is_to_page_scale, RectF page_margin, bool is_convert_link, Rotation rotate_degrees, bool is_generate_tag, HTML2PDFSettingData.HTML2PDFPageMode page_mode, bool to_generate_bookmarks, HTML2PDFSettingData.HTML2PDFScalingMode scaling_mode, HTML2PDFSettingData.HTML2PDFEncodingFormat encoding_format, bool to_render_images, bool to_remove_underline_for_link, bool to_set_headerfooter, string headerfooter_title, string headerfooter_url, string bookmark_root_name, bool to_resize_objects, bool to_print_background, bool to_optimize_tag_tree, HTML2PDFSettingData.HTML2PDFMediaStyle media_style, bool to_load_active_content, bool to_disable_sandbox, bool to_use_blacklist, bool to_hide_header, bool to_hide_footer, bool to_deny_local_file_access)
| Constructor, with parameters. More...
void | Set (float page_width, float page_height, bool is_to_page_scale, RectF page_margin, bool is_convert_link, Rotation rotate_degrees, bool is_generate_tag, HTML2PDFSettingData.HTML2PDFPageMode page_mode, bool to_generate_bookmarks, HTML2PDFSettingData.HTML2PDFScalingMode scaling_mode, HTML2PDFSettingData.HTML2PDFEncodingFormat encoding_format, bool to_render_images, bool to_remove_underline_for_link, bool to_set_headerfooter, string headerfooter_title, string headerfooter_url, string bookmark_root_name, bool to_resize_objects, bool to_print_background, bool to_optimize_tag_tree, HTML2PDFSettingData.HTML2PDFMediaStyle media_style, bool to_load_active_content, bool to_disable_sandbox, bool to_use_blacklist, bool to_hide_header, bool to_hide_footer, bool to_deny_local_file_access)
| Set value. More...

## Properties
string | bookmark_root_name`[get, set]`
| The bookmark's root name.
HTML2PDFSettingData.HTML2PDFEncodingFormat | encoding_format`[get, set]`
| The HTML encoding format Please refer to values starting from foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFEncodingFormat.e_EncodingFormatDefault and this should be one of these values.
string | headerfooter_title`[get, set]`
| The header-footer title which is content for center header.
string | headerfooter_url`[get, set]`
| The header-footer url which is content for left footer.
bool | is_convert_link`[get, set]`
| Used to decide whether the web link should be converted or not.
bool | is_generate_tag`[get, set]`
| Used to decide whether the tag should be generated or not.
bool | is_to_page_scale`[get, set]`
| Used to decide whether to scale the converted PDF page or not. More...
HTML2PDFSettingData.HTML2PDFMediaStyle | media_style`[get, set]`
| The media style used for the converted PDF document. Please refer to values starting from foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFMediaStyle.e_MediaStyleScreen and this should be one of these values.
float | page_height`[get, set]`
| The page height used for the converted PDF document (unit is 1/72 inch). More...
RectF? | page_margin`[get, set]`
| The page margin used for converted PDF document. More...
HTML2PDFSettingData.HTML2PDFPageMode | page_mode`[get, set]`
| The page mode used for the converting. Please refer to values starting from foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFPageMode.e_PageModeSinglePage and this should be one of these values.
float | page_width`[get, set]`
| The page width used for the converted PDF document (unit is 1/72 inch). More...
Rotation | rotate_degrees`[get, set]`
| The rotation degree used for the converted PDF page.Please refer to values starting from foxit.common.Rotation.e_Rotation0 and this should be one of these values.
HTML2PDFSettingData.HTML2PDFScalingMode | scaling_mode`[get, set]`
| The scaling mode used for the converted PDF document. Please refer to values starting from foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFScalingMode.e_ScalingModeNone and this should be one of these values.
bool | to_deny_local_file_access`[get, set]`
| Used to decide whether to deny local file access or not during converting html file. It can not support on Linux x86 platform. More...
bool | to_disable_sandbox`[get, set]`
| Used to decide whether to disable sandbox or not. More...
bool | to_generate_bookmarks`[get, set]`
| Used to decide whether bookmarks should be generated or not.
bool | to_hide_footer`[get, set]`
| Used to decide whether to hide footer or not. It can not support on Linux x86 platform.
bool | to_hide_header`[get, set]`
| Used to decide whether to hide header or not. It can not support on Linux x86 platform.
bool | to_load_active_content`[get, set]`
| Used to decide whether to load active content or not. More...
bool | to_optimize_tag_tree`[get, set]`
| Used to decide whether to optimize tag tree or not.
bool | to_print_background`[get, set]`
| Used to decide whether to print background or not.
bool | to_remove_underline_for_link`[get, set]`
| Used to decide whether to remove underline decoration for link.
bool | to_render_images`[get, set]`
| Used to decide whether to render images or not.
bool | to_resize_objects`[get, set]`
| Whether to enable the Javascripts related resizing of the objects during rendering process.
bool | to_set_headerfooter`[get, set]`
| Used to decide whether to set header-footer or not.
bool | to_use_blacklist`[get, set]`
| Used to decide whether to use blacklist or not. More...

## Detailed Description

This class represents setting data used for converting HTML to PDF.

## Member Enumeration Documentation

## ◆ HTML2PDFEncodingFormat

enum foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFEncodingFormat
| strong

Enumeration for encoding format used for converting HTML to PDF.

Values of this enumeration should be used alone.

Enumerator
e_EncodingFormatDefault | Encoding foramt: Default.The encoding format will be automatically detected in chromium.
e_EncodingFormatASCII | Encoding foramt: "ASCII".
e_EncodingFormatLatin2 | Encoding foramt: "Latin2".
e_EncodingFormatLatin3 | Encoding foramt: "Latin3".
e_EncodingFormatLatin4 | Encoding foramt: "Latin4".
e_EncodingFormatLatin5 | Encoding foramt: "Latin5".
e_EncodingFormatLatin6 | Encoding foramt: "Latin6".
e_EncodingFormatISO_8859_5 | Encoding foramt: "ISO-8859-5".
e_EncodingFormatArabic | Encoding foramt: "Arabic".
e_EncodingFormatGreek | Encoding foramt: "Greek".
e_EncodingFormatHebrew | Encoding foramt: "Hebrew".
e_EncodingFormatEUC_JP | Encoding foramt: "EUC-JP".
e_EncodingFormatSJS | Encoding foramt: "SJS".
e_EncodingFormatJIS | Encoding foramt: "JIS".
e_EncodingFormatBIG5 | Encoding foramt: "BIG5".
e_EncodingFormatGB | Encoding foramt: "GB".
e_EncodingFormatEUC_CN | Encoding foramt: "EUC-CN".
e_EncodingFormatKSC | Encoding foramt: "KSC".
e_EncodingFormatUnicode | Encoding foramt: "Unicode".
e_EncodingFormatEUC | Encoding foramt: "EUC".
e_EncodingFormatCNS | Encoding foramt: "CNS".
e_EncodingFormatBIG5_CP950 | Encoding foramt: "BIG5-CP950".
e_EncodingFormatASCII_7_bit | Encoding foramt: "ASCII-7-bit".
e_EncodingFormatKOI8R | Encoding foramt: "KOI8R".
e_EncodingFormatCP852 | Encoding foramt: "CP852".
e_EncodingFormatCP866 | Encoding foramt: "CP866".
e_EncodingFormatCP874 | Encoding foramt: "CP874".
e_EncodingFormatCP932 | Encoding foramt: "CP932".
e_EncodingFormatCP1250 | Encoding foramt: "CP1250".
e_EncodingFormatCP1251 | Encoding foramt: "CP1251".
e_EncodingFormatCP1252 | Encoding foramt: "CP1252".
e_EncodingFormatCP1253 | Encoding foramt: "CP1253".
e_EncodingFormatCP1254 | Encoding foramt: "CP1254".
e_EncodingFormatCP1255 | Encoding foramt: "CP1255".
e_EncodingFormatCP1256 | Encoding foramt: "CP1256".
e_EncodingFormatCP1257 | Encoding foramt: "CP1257".
e_EncodingFormatKOI8U | Encoding foramt: "KOI8U".
e_EncodingFormatISO_8859_15 | Encoding foramt: "ISO-8859-15".
e_EncodingFormatISO_8859_11 | Encoding foramt: "ISO-8859-11".
e_EncodingFormatISO_8859_8_I | Encoding foramt: "ISO-8859-8-I".
e_EncodingFormatVISUAL | Encoding foramt: "VISUAL".
e_EncodingFormatCSN_369103 | Encoding foramt: "CSN_369103".
e_EncodingFormatISO_8859_13 | Encoding foramt: "ISO-8859-13".
e_EncodingFormatISO_2022_KR | Encoding foramt: "ISO-2022-KR".
e_EncodingFormatGBK | Encoding foramt: "GBK".
e_EncodingFormatGB18030 | Encoding foramt: "GB18030".
e_EncodingFormatBIG5_HKSCS | Encoding foramt: "BIG5_HKSCS".
e_EncodingFormatISO_2022_CN | Encoding foramt: "ISO_2022_CN".
e_EncodingFormatTSCII | Encoding foramt: "TSCII".
e_EncodingFormatTAM | Encoding foramt: "TAM".
e_EncodingFormatTAB | Encoding foramt: "TAB".
e_EncodingFormatJAGRAN | Encoding foramt: "JAGRAN".
e_EncodingFormatMACINTOSH | Encoding foramt: "MACINTOSH".
e_EncodingFormatUTF7 | Encoding foramt: "UTF7".
e_EncodingFormatBHASKAR | Encoding foramt: "BHASKAR".
e_EncodingFormatHTCHANAKYA | Encoding foramt: "HTCHANAKYA".
e_EncodingFormatUTF_16BE | Encoding foramt: "UTF-16BE".
e_EncodingFormatUTF_16LE | Encoding foramt: "UTF-16LE".
e_EncodingFormatUTF_32BE | Encoding foramt: "UTF-32BE".
e_EncodingFormatUTF_32LE | Encoding foramt: "UTF-32LE".
e_EncodingFormatX_BINARYENC | Encoding foramt: "X-BINARYENC".
e_EncodingFormatHZ_GB_2312 | Encoding foramt: "HZ-GB-2312".
e_EncodingFormatX_UTF8UTF8 | Encoding foramt: "X-UTF8UTF8".
e_EncodingFormatX_TAM_ELANGO | Encoding foramt: "X-TAM-ELANGO".
e_EncodingFormatX_TAM_LTTMBARANI | Encoding foramt: "X-TAM-LTTMBARANI".
e_EncodingFormatX_TAM_SHREE | Encoding foramt: "X-TAM-SHREE".
e_EncodingFormatX_TAM_TBOOMIS | Encoding foramt: "X-TAM-TBOOMIS".
e_EncodingFormatX_TAM_TMNEWS | Encoding foramt: "X-TAM-TMNEWS".
e_EncodingFormatX_TAM_WEBTAMIL | Encoding foramt: "X-TAM-WEBTAMIL".
e_EncodingFormatX_KDDI_Shift_JIS | Encoding foramt: "X-KDDI-Shift_JIS".
e_EncodingFormatX_DoCoMo_Shift_JIS | Encoding foramt: "X-DoCoMo-Shift_JIS".
e_EncodingFormatX_SoftBank_Shift_JIS | Encoding foramt: "X-SoftBank-Shift_JIS".
e_EncodingFormatX_KDDI_ISO_2022_JP | Encoding foramt: "X-KDDI-ISO-2022-JP".
e_EncodingFormatX_SoftBank_ISO_2022_JP | Encoding foramt: "X-SoftBank-ISO-2022-JP".

## ◆ HTML2PDFMediaStyle

enum foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFMediaStyle
| strong

Enumeration for media style used for converting HTML to PDF.

Values of this enumeration should be used alone.

Enumerator
e_MediaStyleScreen | Media style: screen. It means PDF page will be displayed in screen media style.
e_MediaStylePrint | Media style: print. It means PDF page will be displayed in print media style.

## ◆ HTML2PDFPageMode

enum foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFPageMode
| strong

Enumeration for page mode used for converting HTML to PDF.

Values of this enumeration should be used alone.

Enumerator
e_PageModeSinglePage | Single page mode.
e_PageModeMultiplePage | Multiple page mode.

## ◆ HTML2PDFScalingMode

enum foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFScalingMode
| strong

Enumeration for scaling mode used for converting HTML to PDF.

Values of this enumeration should be used alone.

Enumerator
e_ScalingModeNone | Scaling mode: Fixed page with no scale. In this mode, the text size of HTML content will not be changed.
e_ScalingModeScale | Page scaling: Scale. It means HTML content will be scaled to fit PDF page size. In this mode, the text size may be changed.
e_ScalingModeEnlarge | Page scaling: Enlarge. It means PDF page will be enlarged to HTML content size. In this mode, the text size of HTML content will not be changed.

## Constructor & Destructor Documentation

## ◆ HTML2PDFSettingData()

foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFSettingData | ( | float | page_width,
|  | float | page_height,
|  | bool | is_to_page_scale,
|  | RectF | page_margin,
|  | bool | is_convert_link,
|  | Rotation | rotate_degrees,
|  | bool | is_generate_tag,
|  | HTML2PDFSettingData.HTML2PDFPageMode | page_mode,
|  | bool | to_generate_bookmarks,
|  | HTML2PDFSettingData.HTML2PDFScalingMode | scaling_mode,
|  | HTML2PDFSettingData.HTML2PDFEncodingFormat | encoding_format,
|  | bool | to_render_images,
|  | bool | to_remove_underline_for_link,
|  | bool | to_set_headerfooter,
|  | string | headerfooter_title,
|  | string | headerfooter_url,
|  | string | bookmark_root_name,
|  | bool | to_resize_objects,
|  | bool | to_print_background,
|  | bool | to_optimize_tag_tree,
|  | HTML2PDFSettingData.HTML2PDFMediaStyle | media_style,
|  | bool | to_load_active_content,
|  | bool | to_disable_sandbox,
|  | bool | to_use_blacklist,
|  | bool | to_hide_header,
|  | bool | to_hide_footer,
|  | bool | to_deny_local_file_access
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | page_width | The page width used for the converted PDF document (unit is 1/72 inch).
  [in] | page_height | The page height used for the converted PDF document (unit is 1/72 inch). This would be ignored if page mode foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFPageMode.e_PageModeSinglePage is used.
  [in] | is_to_page_scale | (Deprecated)Used to decide whether to scale the converted PDF page or not.
  [in] | page_margin | The page margin used for converted PDF document.
  [in] | is_convert_link | Used to decide whether the web link should be converted or not.
  [in] | rotate_degrees | The rotation degree used for the converted PDF page.Please refer to values starting from foxit.common.Rotation.e_Rotation0 and this should be one of these values.
  [in] | is_generate_tag | Used to decide whether the tag should be generated or not.
  [in] | page_mode | The page mode used for the converting. Please refer to values starting from foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFPageMode.e_PageModeSinglePage and this should be one of these values.
  [in] | to_generate_bookmarks | Used to decide whether bookmarks should be generated or not.
  [in] | scaling_mode | The scaling mode used for the converted PDF document. Please refer to values starting from foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFScalingMode.e_ScalingModeNone and this should be one of these values. Default value:foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFScalingMode.e_ScalingModeScale .
  [in] | encoding_format | The HTML encoding format Please refer to values starting from and this should be one of these values. to_render_images Whether to render images or not. to_remove_underline_for_link Whether to remove underline decoration for link or not. to_set_headerfooter Whether to set header-footer or not. headerfooter_title The header-footer title which is content for center header. headerfooter_url The header-footer url which is content for left footer. bookmark_root_name The bookmark's root name. to_resize_objects Whether to enable the Javascripts related resizing of the objects during rendering process. to_print_background Whether to print background or not. to_optimize_tag_tree Whether to optimize tag tree or not. media_style The media style used for the converted PDF document. Please refer to values starting from foxit::addon::conversion::HTML2PDFSettingData::HTML2PDFMediaStyle::e_MediaStyleScreen foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFMediaStyle.e_MediaStyleScreen and this should be one of these values.
  [in] | to_load_active_content | Whether to load active content or not.
  [in] | to_disable_sandbox | Whether to disable sandbox or not.
  [in] | to_use_blacklist | Whether to use blacklist or not.
  [in] | to_hide_header | Whether to hide header or not.
  [in] | to_hide_footer | Whether to hide footer or not.
  [in] | to_deny_local_file_access | Whether to deny local file access or not.

Returns
  None.

## Member Function Documentation

## ◆ Set()

void foxit.addon.conversion.HTML2PDFSettingData.Set | ( | float | page_width,
|  | float | page_height,
|  | bool | is_to_page_scale,
|  | RectF | page_margin,
|  | bool | is_convert_link,
|  | Rotation | rotate_degrees,
|  | bool | is_generate_tag,
|  | HTML2PDFSettingData.HTML2PDFPageMode | page_mode,
|  | bool | to_generate_bookmarks,
|  | HTML2PDFSettingData.HTML2PDFScalingMode | scaling_mode,
|  | HTML2PDFSettingData.HTML2PDFEncodingFormat | encoding_format,
|  | bool | to_render_images,
|  | bool | to_remove_underline_for_link,
|  | bool | to_set_headerfooter,
|  | string | headerfooter_title,
|  | string | headerfooter_url,
|  | string | bookmark_root_name,
|  | bool | to_resize_objects,
|  | bool | to_print_background,
|  | bool | to_optimize_tag_tree,
|  | HTML2PDFSettingData.HTML2PDFMediaStyle | media_style,
|  | bool | to_load_active_content,
|  | bool | to_disable_sandbox,
|  | bool | to_use_blacklist,
|  | bool | to_hide_header,
|  | bool | to_hide_footer,
|  | bool | to_deny_local_file_access
| ) |  |
| inline

Set value.

Parameters

  [in] | page_width | The page width used for the converted PDF document (unit is 1/72 inch).
  [in] | page_height | The page height used for the converted PDF document (unit is 1/72 inch). This would be ignored if page mode foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFPageMode.e_PageModeSinglePage is used.
  [in] | is_to_page_scale | (Deprecated)Used to decide whether to scale the converted PDF page or not.
  [in] | page_margin | The page margin used for converted PDF document.
  [in] | is_convert_link | Used to decide whether the web link should be converted or not.
  [in] | rotate_degrees | The rotation degree used for the converted PDF page.Please refer to values starting from foxit.common.Rotation.e_Rotation0 and this should be one of these values.
  [in] | is_generate_tag | Used to decide whether the tag should be generated or not.
  [in] | page_mode | The page mode used for the converting. Please refer to values starting from foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFPageMode.e_PageModeSinglePage and this should be one of these values.
  [in] | to_generate_bookmarks | Used to decide whether bookmarks should be generated or not.
  [in] | scaling_mode | The scaling mode used for the converted PDF document. Please refer to values starting from foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFScalingMode.e_ScalingModeNone and this should be one of these values.Default value:. encoding_format The HTML encoding format Please refer to values starting from and this should be one of these values.
  [in] | to_render_images | Whether to render images or not.
  [in] | to_remove_underline_for_link | Whether to remove underline decoration for link or not.
  [in] | to_set_headerfooter | Whether to set header-footer or not.
  [in] | headerfooter_title | The header-footer title which is content for center header.
  [in] | headerfooter_url | The header-footer url which is content for left footer.
  [in] | bookmark_root_name | The bookmark's root name.
  [in] | to_resize_objects | Whether to enable the Javascripts related resizing of the objects during rendering process.
  [in] | to_print_background | Whether to print background or not.
  [in] | to_optimize_tag_tree | Whether to optimize tag tree or not.
  [in] | media_style | The media style used for the converted PDF document. Please refer to values starting from foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFMediaStyle.e_MediaStyleScreen and this should be one of these values.
  [in] | to_load_active_content | Whether to load active content or not.
  [in] | to_disable_sandbox | Whether to disable sandbox or not.
  [in] | to_use_blacklist | Whether to use blacklist or not.
  [in] | to_hide_header | Whether to hide header or not.
  [in] | to_hide_footer | Whether to hide footer or not.
  [in] | to_deny_local_file_access | Whether to deny local file access or not.

Returns
  None.

## Property Documentation

## ◆ is_to_page_scale

bool foxit.addon.conversion.HTML2PDFSettingData.is_to_page_scale
| get set

Used to decide whether to scale the converted PDF page or not.

Deprecated:
  Current property has been deprecated since Foxit PDF SDK 8.2. This property will not have any effect on converting PDF any more. For scaling mode, please refer to scaling_mode.

## ◆ page_height

float foxit.addon.conversion.HTML2PDFSettingData.page_height
| get set

The page height used for the converted PDF document (unit is 1/72 inch).

This value minus the sum of the top and bottom margins must be bigger than 16.

Note
  The page height would be ignored if page mode foxit.addon.conversion.HTML2PDFSettingData.HTML2PDFPageMode.e_PageModeSinglePage is used.

## ◆ page_margin

RectF foxit.addon.conversion.HTML2PDFSettingData.page_margin
| get set

The page margin used for converted PDF document.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a PDF page.

## ◆ page_width

float foxit.addon.conversion.HTML2PDFSettingData.page_width
| get set

The page width used for the converted PDF document (unit is 1/72 inch).

This value minus the sum of the left and right margins must be bigger than 16.

## ◆ to_deny_local_file_access

bool foxit.addon.conversion.HTML2PDFSettingData.to_deny_local_file_access
| get set

Used to decide whether to deny local file access or not during converting html file. It can not support on Linux x86 platform.

true means that prevents the HTML file from accessing any local files outside of its own directory. false means that allows the HTML file to access to any local file paths. Default value: false.

## ◆ to_disable_sandbox

bool foxit.addon.conversion.HTML2PDFSettingData.to_disable_sandbox
| get set

Used to decide whether to disable sandbox or not.

true means to disable sandbox, and false means not. Default: true.

## ◆ to_load_active_content

bool foxit.addon.conversion.HTML2PDFSettingData.to_load_active_content
| get set

Used to decide whether to load active content or not.

This parameter is useful for some optimized web pages. These web page will not load the entire content. When the user scrolls down the page, the contents of the web page will be loaded when they are displayed on the user screen. true means to load the active content that has not been loaded by the web page, and false means not. Default:false.

## ◆ to_use_blacklist

bool foxit.addon.conversion.HTML2PDFSettingData.to_use_blacklist
| get set

Used to decide whether to use blacklist or not.

This parameter is useful for checking all accessed URLs during the HTML to the PDF conversion process.
During the conversion of specific URL, there could be many third-party websites that are accessed by the conversion process (images, CSS styles, requests from JavaScripts, and others).
All of these accesses will be checked against the blacklist record. There is a prepared switch that enables the blacklist functionality in the converter. true means to use the blacklist, and false means not. Default: false. Blacklist JSON is located next to the fxhtml2pdf application and its name must be "blacklist.json".It consist from three parts of records:

- list of domains.

- list of IPs.

- list of IP ranges.

"blacklist.json" Examples:

             {"Domains":[
                  "xxx.com",
                  "xxx.com"
                  ]
              ,
             "IPs":["1.2.3.4","5.6.7.8"]
             ,
             "IPsegments":[{"16":["104.193.88.0","104.193.88.100"]},{"16":["20.0.0.1","20.0.0.10"]}]
             }